Немогу установить пакеты из портов

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
zubr_ne
проходил мимо

Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-25 12:53:34

Нужно установить SpamAsassin! Когда пробовал установить первый раз, в процесе выдало какую-то ошибку... решил обновить порты! После обновления не устанавливается ничего...( Ошибки на скрине...


система freebsd 6.2
Вложения
proxy.JPG

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-25 13:23:38

freebsd 6.2 уже не поддерживается
попробуйте через cpan установить
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-25 14:45:54

Electronik писал(а):freebsd 6.2 уже не поддерживается
попробуйте через cpan установить
Как это всё правильно сделать? И что теперь я ничего не смогу установить из портов?
Помогите пожалуйста, я в этом новичек... но работать надо!

Аватара пользователя
ADRE
майор
Сообщения: 2641
Зарегистрирован: 2007-07-26 8:53:49
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение ADRE » 2012-06-25 18:40:06

либо откатиться на старые и попробовать найти чтонибудь из старого. хотя врятли. а что мешает апнуться до 8 или 9?
//del

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-25 20:01:36

Код: Выделить всё

pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
А вообще лучше обновиться хотя бы до 8.3
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

snorlov
подполковник
Сообщения: 3810
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

Re: Немогу установить пакеты из портов

Непрочитанное сообщение snorlov » 2012-06-25 20:38:25

Electronik писал(а):

Код: Выделить всё

pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
А вообще лучше обновиться хотя бы до 8.3
Или хотя бы до 7.4...

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-26 9:24:25

Electronik писал(а):

Код: Выделить всё

pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
А вообще лучше обновиться хотя бы до 8.3
Что именно делает эта команда? И что делать после её выполнения?

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-26 9:26:17

читать до покраснения глаз http://www.freebsd.org.ru/handbook/
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-26 9:56:20

Electronik писал(а):читать до покраснения глаз http://www.freebsd.org.ru/handbook/
Почитал... Нашел... Понял) Команду выполнил! Некоторые пакеты из состава SpamAssassin установились (типа MailTools) а сам антиспам нет( Выполнение команды pkg_info его в списке не показало... Куда копать дальше?

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-26 11:56:30

Код: Выделить всё

ls /var/db/pkg | grep Mail
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-26 13:25:07

Electronik писал(а):

Код: Выделить всё

ls /var/db/pkg | grep Mail
Показало...

Код: Выделить всё

/usr/ports/# ls /var/db/pkg | grep Mail
p5-Mail-Tools-1.74
Выполнение предидущей команды...

Код: Выделить всё

/usr/ports/# pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz... Done.
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-Digest-MD5-2.36.tbz... Done.
pkg_add: could not find package p5-Digest-1.15 !
pkg_add: pkg_add of dependency 'p5-Digest-MD5-2.36' failed!
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-Authen-SASL-2.10_1.tbz... Done.
pkg_add: could not find package p5-Digest-1.15 !
pkg_add: could not find package p5-Digest-MD5-2.36 !
pkg_add: pkg_add of dependency 'p5-Authen-SASL-2.10_1' failed!
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-Net-1.19,1.tbz... Done.
pkg_add: could not find package p5-Digest-1.15 !
pkg_add: could not find package p5-Digest-MD5-2.36 !
pkg_add: could not find package p5-Authen-SASL-2.10_1 !
pkg_add: pkg_add of dependency 'p5-Net-1.19,1' failed!
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-libwww-5.805.tbz... Done.
pkg_add: could not find package p5-Digest-1.15 !
pkg_add: could not find package p5-Digest-MD5-2.36 !
pkg_add: could not find package p5-Authen-SASL-2.10_1 !
pkg_add: could not find package p5-Net-1.19,1 !
pkg_add: pkg_add of dependency 'p5-libwww-5.805' failed!

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-26 19:29:57

Код: Выделить всё

setenv  PACKAGESITE http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/
pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
если не поможет, тогда

Код: Выделить всё

setenv  PACKAGESITE http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/Latest/
pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-06-27 8:30:27

Electronik писал(а):

Код: Выделить всё

setenv  PACKAGESITE http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/
pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
если не поможет, тогда

Код: Выделить всё

setenv  PACKAGESITE http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/Latest/
pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/perl5/p5-Mail-SpamAssassin-3.1.6.tbz
Результат такой же как в предидущем посте...

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Electronik » 2012-06-27 9:19:56

Код: Выделить всё

pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/Latest/p5-Mail-SpamAssassin.tbz
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

Nick_mad
сержант
Сообщения: 277
Зарегистрирован: 2008-05-30 12:16:02
Откуда: Киев
Контактная информация:

Re: Немогу установить пакеты из портов

Непрочитанное сообщение Nick_mad » 2012-07-03 9:53:41

Здравствуйте.
При попытке посмотреть какие пакеты нужно обновить получаю вот такой листинг

Код: Выделить всё

server# pkg_version -v | grep "<"
ap22-mod_perl2-2.0.5_1,3            <   needs updating (port has 2.0.7,3)
"/usr/ports/Mk/bsd.options.mk", line 51: Malformed conditional (!defined(OPTIONS_DEFINE) || empty(OPTIONS_DEFINE:Mdrivers)"))
"/usr/ports/Mk/bsd.options.mk", line 126: Malformed conditional (defined(WITH_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 130: Malformed conditional (defined(WITHOUT_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 132: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 146: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6450: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 51: Malformed conditional (!defined(OPTIONS_DEFINE) || empty(OPTIONS_DEFINE:Mdrivers)"))
"/usr/ports/Mk/bsd.options.mk", line 126: Malformed conditional (defined(WITH_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 130: Malformed conditional (defined(WITHOUT_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 132: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 146: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6450: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 51: Malformed conditional (!defined(OPTIONS_DEFINE) || empty(OPTIONS_DEFINE:Mdrivers)"))
"/usr/ports/Mk/bsd.options.mk", line 126: Malformed conditional (defined(WITH_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 130: Malformed conditional (defined(WITHOUT_drivers)"))
"/usr/ports/Mk/bsd.options.mk", line 132: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 146: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6450: if-less endif
make: fatal errors encountered -- cannot continue
pkg_version: Failed to get PKGNAME from /usr/ports/sysutils/apcupsd/Makefile!
automake-1.12                       <   needs updating (port has 1.12.1)
ca_root_nss-3.13.4                  <   needs updating (port has 3.13.5)
cairo-1.10.2_3,1                    <   needs updating (port has 1.10.2_4,2)
clamav-0.97.4                       <   needs updating (port has 0.97.5_1)
cups-client-1.5.2_1                 <   needs updating (port has 1.5.2_2)
cups-image-1.5.2                    <   needs updating (port has 1.5.2_1)
"/usr/ports/Mk/bsd.options.mk", line 51: Malformed conditional (!defined(OPTIONS_DEFINE) || empty(OPTIONS_DEFINE:M(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 126: Malformed conditional (defined(WITH_(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 130: Malformed conditional (defined(WITHOUT_(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 132: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 146: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6450: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 51: Malformed conditional (!defined(OPTIONS_DEFINE) || empty(OPTIONS_DEFINE:M(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 126: Malformed conditional (defined(WITH_(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 130: Malformed conditional (defined(WITHOUT_(SGML)"))
"/usr/ports/Mk/bsd.options.mk", line 132: if-less endif
"/usr/ports/Mk/bsd.options.mk", line 146: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6450: if-less endif
make: fatal errors encountered -- cannot continue
pkg_version: Failed to get PKGNAME from /usr/ports/textproc/docbook/Makefile!
e2fsprogs-libuuid-1.42.2            <   needs updating (port has 1.42.4)
"/usr/ports/Mk/bsd.options.mk", line 177: Error in archive specification: "WITHOUT_"
"/usr/ports/Mk/bsd.options.mk", line 177: Error in archive specification: "WITHOUT_"
make: fatal errors encountered -- cannot continue
pkg_version: Failed to get PKGNAME from /usr/ports/mail/exim/Makefile!
gd-2.0.35_7,1                       <   needs updating (port has 2.0.35_8,1)
Листинг очень похож на пример топик стартера. У меня стоит фря 7.0, она уже тоже не поддерживается или у меня другая какая то проблема???

zubr_ne
проходил мимо
Сообщения: 7
Зарегистрирован: 2012-06-25 13:24:18

Re: Немогу установить пакеты из портов

Непрочитанное сообщение zubr_ne » 2012-07-03 11:17:22

Electronik писал(а):

Код: Выделить всё

pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/Latest/p5-Mail-SpamAssassin.tbz
Безрезультатно...(

Я решил попробовать отдельно установить один из пакетов которые не устанавливались... И вот что я увидел...

Код: Выделить всё

/usr/ports/mail/p5-Mail-SpamAssassin/# pkg_add -r http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-Digest-1.15.tbz
Fetching http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/i386/6.2-RELEASE/packages/All/p5-Digest-1.15.tbz... Done.
pkg_add: warning: package 'p5-Digest-1.15' requires 'perl-5.8.8', but 'perl-5.8.8_1' is installed
/usr/ports/mail/p5-Mail-SpamAssassin/#
Что теперь посоветуете? Я так понимаю у меня стоит более поздняя версия Perl или это чтото другое?

snorlov
подполковник
Сообщения: 3810
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

Re: Немогу установить пакеты из портов

Непрочитанное сообщение snorlov » 2012-07-03 12:01:34

Правильно понимаете... Комп у вас в работе или же нет, В любом случае сделайте копию, на ней потренируйтесь, составьте список вашего установленного софта, затем все снесите через pkg_delete -af и установите все по новой через pkg_add -r, берите естественно каталог Latest...